summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-03-11 12:02:45 +0100
committerPacho Ramos <pacho@gentoo.org>2018-03-11 12:05:10 +0100
commitb522124233e90a84963ca9512f1bb5166983a6ab (patch)
tree0e1ce170481b3a4600b3e3b5bca31303d3e1202d /net-nds/ypserv
parentRemove masked for removal packages (diff)
downloadgentoo-b522124233e90a84963ca9512f1bb5166983a6ab.tar.gz
gentoo-b522124233e90a84963ca9512f1bb5166983a6ab.tar.bz2
gentoo-b522124233e90a84963ca9512f1bb5166983a6ab.zip
Remove masked for removal packages
Diffstat (limited to 'net-nds/ypserv')
-rw-r--r--net-nds/ypserv/Manifest1
-rw-r--r--net-nds/ypserv/files/rpc.yppasswdd-r121
-rw-r--r--net-nds/ypserv/files/rpc.yppasswdd.confd7
-rw-r--r--net-nds/ypserv/files/rpc.ypxfrd-2.2321
-rw-r--r--net-nds/ypserv/files/rpc.ypxfrd.confd3
-rw-r--r--net-nds/ypserv/files/ypserv22
-rw-r--r--net-nds/ypserv/files/ypserv.confd4
-rw-r--r--net-nds/ypserv/metadata.xml5
-rw-r--r--net-nds/ypserv/ypserv-2.26-r1.ebuild78
9 files changed, 0 insertions, 162 deletions
diff --git a/net-nds/ypserv/Manifest b/net-nds/ypserv/Manifest
deleted file mode 100644
index f230c646898..00000000000
--- a/net-nds/ypserv/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST ypserv-2.26.tar.bz2 196037 BLAKE2B 7dd0ce5da2c3596b34b36e68178ec2445d6d16a648a03dcdb5753f3182e97cbac5afd228037f0334d20670b040289d443802e75dcc58299292e30cff733f8989 SHA512 03ae9dfc65cfcedab37f7b0945cf87b9c6e2d15d081d9e023ab6f1d7a8bfe9e00971d7ec4d0f6f040515bc9cd21e4a9fc76b1f4d6fecce9ea48c289b84305ad1
diff --git a/net-nds/ypserv/files/rpc.yppasswdd-r1 b/net-nds/ypserv/files/rpc.yppasswdd-r1
deleted file mode 100644
index 9c2c2b416c5..00000000000
--- a/net-nds/ypserv/files/rpc.yppasswdd-r1
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
- need net portmap ypserv
-}
-
-start() {
- ebegin "Starting rpc.yppasswdd"
- YOPTS=""
- if [ -n "${YPPASSWDD_OPTS}" ]; then YOPTS="-- ${YPPASSWDD_OPTS}"; fi
- start-stop-daemon --start --quiet --exec /usr/sbin/rpc.yppasswdd ${YOPTS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping rpc.yppasswdd"
- start-stop-daemon --stop --quiet --exec /usr/sbin/rpc.yppasswdd
- eend $?
-}
diff --git a/net-nds/ypserv/files/rpc.yppasswdd.confd b/net-nds/ypserv/files/rpc.yppasswdd.confd
deleted file mode 100644
index 0d667363077..00000000000
--- a/net-nds/ypserv/files/rpc.yppasswdd.confd
+++ /dev/null
@@ -1,7 +0,0 @@
-# -e chsh allows changing shell through ypchsh,
-# -e chfn allows changing GECOS ("finger") information through ypchfn,
-# -D <dir> allows specification of directory with yp/NIS sources
-# if other than /etc.
-#YPPASSWDD_OPTS="-e chsh -e chfn -D /var/yp/source"
-
-
diff --git a/net-nds/ypserv/files/rpc.ypxfrd-2.23 b/net-nds/ypserv/files/rpc.ypxfrd-2.23
deleted file mode 100644
index d096dbf266a..00000000000
--- a/net-nds/ypserv/files/rpc.ypxfrd-2.23
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
- need net portmap ypserv
-}
-
-start() {
- ebegin "Starting rpc.ypxfrd"
- YOPTS=""
- if [ -n "${YPXFRD_OPTS}" ]; then YOPTS="-- ${YPXFRD_OPTS}"; fi
- start-stop-daemon --start --quiet --pidfile /var/run/ypxfrd.pid --exec /usr/sbin/rpc.ypxfrd ${YOPTS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping rpc.ypxfrd"
- start-stop-daemon --stop --quiet --pidfile /var/run/ypxfrd.pid --exec /usr/sbin/rpc.ypxfrd
- eend $?
-}
diff --git a/net-nds/ypserv/files/rpc.ypxfrd.confd b/net-nds/ypserv/files/rpc.ypxfrd.confd
deleted file mode 100644
index 73cfc47e715..00000000000
--- a/net-nds/ypserv/files/rpc.ypxfrd.confd
+++ /dev/null
@@ -1,3 +0,0 @@
-# Command line options to pass to rpc.ypxfrd
-# eg: you can pass --port <number> to use a non-standard port
-YPXFRD_OPTS=""
diff --git a/net-nds/ypserv/files/ypserv b/net-nds/ypserv/files/ypserv
deleted file mode 100644
index 205c3ef4381..00000000000
--- a/net-nds/ypserv/files/ypserv
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
- need net portmap
- use domainname
-}
-
-start() {
- ebegin "Starting NIS Server"
- YOPTS=""
- if [ -n "${YPSERV_OPTS}" ]; then YOPTS="-- ${YPSERV_OPTS}"; fi
- start-stop-daemon --start --quiet --exec /usr/sbin/ypserv ${YOPTS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping NIS Server"
- start-stop-daemon --stop --quiet --exec /usr/sbin/ypserv
- eend $?
-}
diff --git a/net-nds/ypserv/files/ypserv.confd b/net-nds/ypserv/files/ypserv.confd
deleted file mode 100644
index 0ae9756dc81..00000000000
--- a/net-nds/ypserv/files/ypserv.confd
+++ /dev/null
@@ -1,4 +0,0 @@
-# Config file for /etc/init.d/ypserv
-
-# Command line options to pass to ypserv:
-YPSERV_OPTS=""
diff --git a/net-nds/ypserv/metadata.xml b/net-nds/ypserv/metadata.xml
deleted file mode 100644
index 6f49eba8f49..00000000000
--- a/net-nds/ypserv/metadata.xml
+++ /dev/null
@@ -1,5 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<!-- maintainer-needed -->
-</pkgmetadata>
diff --git a/net-nds/ypserv/ypserv-2.26-r1.ebuild b/net-nds/ypserv/ypserv-2.26-r1.ebuild
deleted file mode 100644
index 700b169788d..00000000000
--- a/net-nds/ypserv/ypserv-2.26-r1.ebuild
+++ /dev/null
@@ -1,78 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit autotools
-
-DESCRIPTION="Network Information Service server"
-HOMEPAGE="http://www.linux-nis.org/nis/"
-SRC_URI="mirror://kernel/linux/utils/net/NIS/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc ppc64 x86"
-IUSE="slp"
-
-DEPEND=">=sys-libs/gdbm-1.8.0
- slp? ( net-libs/openslp )"
-RDEPEND="${DEPEND}
- || ( net-nds/rpcbind net-nds/portmap )"
-
-src_prepare() {
- # The configure script does not provide a command-line flag to control usage
- # of slp. Use a brutal method in case we need to disable it.
- if ! use slp; then
- sed -i -e 's/USE_SLP=1/USE_SLP=0/g' configure.in || die
- eautoreconf
- fi
-
- default
-}
-
-src_install() {
- default
- dodoc AUTHORS ChangeLog NEWS README THANKS TODO
-
- insinto /etc
- doins etc/ypserv.conf etc/netgroup etc/netmasks
- insinto /var/yp
- newins etc/securenets securenets.default
-
- newconfd "${FILESDIR}/ypserv.confd" ypserv
- newconfd "${FILESDIR}/rpc.yppasswdd.confd" rpc.yppasswdd
- newconfd "${FILESDIR}/rpc.ypxfrd.confd" rpc.ypxfrd
-
- newinitd "${FILESDIR}/ypserv" ypserv
- newinitd "${FILESDIR}/rpc.yppasswdd-r1" rpc.yppasswdd
- newinitd "${FILESDIR}/rpc.ypxfrd-2.23" rpc.ypxfrd
-
- echo "CONFIG_PROTECT=\"/var/yp/Makefile\"" > "${T}"/10ypserv
- doenvd "${T}"/10ypserv
-}
-
-pkg_preinst() {
- # This ebuilds installs an env file which CONFIG_PROTECTs /var/yp/Makefile,
- # but if the user is migrating from older ypserv, this won't take effect
- # immediately. Keep the older setup with Makefile.dist file and ask the user
- # to migrate.
- if [ -f "${ROOT}/var/yp/Makefile.dist" ]; then
- mv "${D}/var/yp/Makefile" "${D}/var/yp/Makefile.dist" \
- || die "mv failed"
- cp "${ROOT}/var/yp/Makefile" "${D}/var/yp/Makefile" \
- || die "cp failed"
- elog "Please remove ${ROOT}/var/yp/Makefile.dist after making sure that"
- elog "${ROOT}/var/yp/Makefile looks fine to you. It is now"
- elog "CONFIG_PROTECTed, so further changes should be managed with"
- elog "usual config management tools like etc-update or dispatch-conf."
- fi
-}
-
-pkg_postinst() {
- einfo "To complete setup, you will need to edit /var/yp/securenets,"
- einfo "/etc/conf.d/ypserv, /etc/ypserv.conf, /etc/conf.d/rpc.yppasswdd"
- einfo "and possibly /var/yp/Makefile."
-
- einfo "To start the services at boot, you need to enable ypserv and optionally"
- einfo "the rpc.yppasswdd and/or rpc.ypxfrd services"
-}